CPG_LOCAL_GET(3)

NAME
cpg_local_get - Returns the local node id

SYNOPSIS
#include <corosync/cpg.h>

int cpg_local_get(cpg_handle_t handle, unsigned int *local_nodeid);

DESCRIPTION
The cpg_local_get function is used to determine the local node's identifier. The argument handle is used to reference the cpg instantiation. The argument local_nodeid will return the 32 bit node id.

ERRORS
The errors are undocumented.

SEE ALSO
cpg_overview(8), cpg_initialize(3), cpg_finalize(3), cpg_fd_get(3), cpg_dispatch(3), cpg_join(3), cpg_leave(3), cpg_mcast_joined(3), cpg_membership_get(3) cpg_zcb_alloc(3) cpg_zcb_free(3) cpg_zcb_mcast_joined(3) cpg_context_get(3) cpg_context_set(3) cpg_local_get(3)